<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.shape.Line?>
<?import javafx.scene.text.Font?>

<AnchorPane maxHeight="-1.0" maxWidth="-1.0" prefHeight="669.0" prefWidth="890.0" xmlns="http://javafx.com/javafx/17" xmlns:fx="http://javafx.com/fxml/1" fx:controller="org.but.feec.booking.controller.BookingController">
<children>
      <Button fx:id="createButton" layoutX="31.0" layoutY="114.0" mnemonicParsing="false" onAction="#handleCreateNewGuest" prefHeight="30.0" prefWidth="80.0" text="CREATE">
         <font>
            <Font name="Century" size="12.0" />
         </font>
      </Button>
      <Button fx:id="readButton" layoutX="134.0" layoutY="114.0" mnemonicParsing="false" onAction="#handleReadBooking" prefHeight="30.0" prefWidth="80.0" text="READ">
         <font>
            <Font name="Century" size="12.0" />
         </font>
      </Button>
      <Button fx:id="updateButton" layoutX="237.0" layoutY="114.0" mnemonicParsing="false" onAction="#handleUpdateGuest" prefHeight="30.0" prefWidth="80.0" text="UPDATE">
         <font>
            <Font name="Century" size="12.0" />
         </font>
      </Button>
      <Label alignment="TOP_CENTER" contentDisplay="CENTER" layoutX="298.0" layoutY="30.0" prefHeight="32.0" prefWidth="290.0" text="BOOKING" textAlignment="CENTER">
         <font>
            <Font name="Century" size="27.0" />
         </font>
      </Label>
      <Line endX="76.39999389648438" endY="7.62939453125E-6" layoutX="441.0" layoutY="72.0" startX="-72.39999389648438" startY="7.62939453125E-6" stroke="#cddc39" strokeWidth="3.0" />
      <Button fx:id="deleteButton" layoutX="342.0" layoutY="114.0" mnemonicParsing="false" onAction="#handleDeleteGuest" prefHeight="30.0" prefWidth="80.0" text="DELETE">
         <font>
            <Font name="Century" size="12.0" />
         </font>
      </Button>
      <TableView fx:id="sqlTable" layoutX="26.0" layoutY="206.0" prefHeight="449.0" prefWidth="835.0">
        <columns>
          <TableColumn fx:id="guestsId" prefWidth="75.0" text="ID" />
          <TableColumn fx:id="guestsName" prefWidth="75.0" text="Name" />
            <TableColumn fx:id="guestsSurname" prefWidth="75.0" text="Surname" />
            <TableColumn fx:id="guestsDateOfBirth" prefWidth="75.0" text="Date of birth" />
        </columns>
         <columnResizePolicy>
            <TableView fx:constant="CONSTRAINED_RESIZE_POLICY" />
         </columnResizePolicy>
      </TableView>
      <Button fx:id="showAllButton" layoutX="31.0" layoutY="165.0" mnemonicParsing="false" prefHeight="30.0" prefWidth="90.0" text="SHOW ALL">
         <font>
            <Font name="Century" size="12.0" />
         </font>
      </Button>
      <Button fx:id="simulateAttackButton" layoutX="695.0" layoutY="114.0" mnemonicParsing="false" onAction="#handleSimulateAttack" prefHeight="30.0" prefWidth="150.0" text="SIMULATE ATTACK">
         <font>
            <Font name="Century" size="12.0" />
         </font>
      </Button>
      <Label alignment="CENTER" layoutX="369.0" layoutY="4.0" prefHeight="30.0" prefWidth="148.0" text="WELCOME TO">
         <font>
            <Font name="Century" size="14.0" />
         </font>
      </Label>
      <ImageView fitHeight="30.0" fitWidth="30.0" layoutX="846.0" layoutY="15.0">
         <image>
            <Image url="@../icons/icons8-home-page-50.png" />
         </image>
      </ImageView>
</children>
</AnchorPane>
